Page MenuHomePhabricator

Investigate Child Protection Takedown Form for requested updates
Closed, ResolvedPublic5 Estimated Story Points

Description

The Support and Safety team requests some improvements to some self-written tools to help them complete important tasks as part of their workflows. This ticket will be an investigation into the Child Protection Takedown Form, while T159898 covers the DMCA Takedown Form.

The tools are currently found at http://lcatools.corp.wikimedia.org@Jalexander will be able to provide login credentials to pertinent developers on request for investigation and/or development. Existing code is here: https://github.com/jamesryanalexander/lca-tools

What the tool does:

This tools is found either from the main page or left rail of the Trust and Safety tools wiki as "Child Protection Takedown Form." This is a form to fill out with information about the Child Protection (pornography) takedown. It uses the National Center for Missing and Exploited Children API to submit image and user data as required by US law.

It also creates a log entry and Sugar case, including Image Hash and report ID along with report metadata.

There's a Special page: NCMEC retraction tool. This retracts a specific report to NCMEC, and only works if the report wasn't completed, such as a failure in one of the steps of the multi step API submission for NCMEC. There's no "auto-rollback" feature built in at the moment.

Current screenshots

Requested changes:

  • This tool currently uses Sugar; we want to switch to Salesforce. The exact same data should be stored.
  • Currently, we have to do one image at a time; this needs multi-file support.

Open questions:

  • Will these requested changes require a complete rewrite, or small-scale fixes?
  • Where should these tools live — on the existing private server, or ToolLabs?

Deliverables:

  • Written answers to open questions in this ticket
  • Written proposal for how to implement requested changes to the two tools
  • Documented knowledge learned to help with further development of this project
  • Any needed additional cards created

In an CommTech estimation meeting on March 7, 2017 this card was sized as a '5'.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2017, 6:02 PM
TBolliger renamed this task from Investigate Trust and Safety Tools for to Investigate Trust and Safety Tools for requested updates.Mar 2 2017, 6:04 PM
TBolliger added a project: Community-Tech.
TBolliger added a subscriber: DannyH.
DannyH triaged this task as Medium priority.Mar 2 2017, 6:30 PM
TBolliger updated the task description. (Show Details)
kaldari updated the task description. (Show Details)Mar 8 2017, 12:31 AM

I will split this ticket into the two tools. Both are sized as a '5'

TBolliger renamed this task from Investigate Trust and Safety Tools for requested updates to Investigate Child Protection Takedown Form for requested updates.Mar 8 2017, 1:12 AM
TBolliger updated the task description. (Show Details)
TBolliger set the point value for this task to 5.
TBolliger updated the task description. (Show Details)Mar 8 2017, 1:13 AM
Abit added a subscriber: Abit.Mar 16 2017, 5:19 PM

This was basically merged back into T159898. See the description there for the results.

kaldari closed this task as Resolved.May 26 2017, 9:01 PM
kaldari claimed this task.
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.
DannyH moved this task from Estimated to Archive on the Community-Tech board.Jun 6 2017, 9:26 PM